summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorintrigeri <intrigeri@boum.org>2018-11-23 13:55:59 +0000
committerintrigeri <intrigeri@boum.org>2018-11-27 11:20:35 +0000
commit9187a4588fbd61ab8758b035a2f4e9fff33461c9 (patch)
tree3cbacdfef34dae7e221de378f33d4f3240c6fa2c
parent60759481051bd7761b15a6c1ea5e287706d08647 (diff)
auto/build: clean up deprecated code.
Since commit:936d444be90f8d830b815585ebf00f6d50f18687 we don't need pipefail anymore. And since commit:aed1c5fa63fd2d01cbbaf51c92ac00fc58a63ce8 we run under "set -e", so manually checking for the exit code of "lb build" is useless. Note that I'm leaving a bunch of "|| fatal MSG" elsewhere because they provide nicer error messages.
-rwxr-xr-xauto/build5
1 files changed, 0 insertions, 5 deletions
diff --git a/auto/build b/auto/build
index eb19ddd..58ed3e2 100755
--- a/auto/build
+++ b/auto/build
@@ -160,15 +160,10 @@ trap "kill -9 $! 2>/dev/null" EXIT HUP INT QUIT TERM
) > "$BUILD_APT_SOURCES"
echo "Building ISO image ${BUILD_ISO_FILENAME}..."
-set -o pipefail
time lb build noauto ${@}
-RET=$?
-
[ -e binary.iso ] || fatal "lb build failed ($?)."
echo "ISO image was successfully created"
-[ "$RET" -eq 0 ] || \
- echo "Warning: lb build exited with code $RET"
print_iso_size binary.iso
echo "Hybriding it..."
isohybrid $AMNESIA_ISOHYBRID_OPTS binary.iso || fatal "isohybrid failed"